Bug 827763 - TransGUI opens to a white box
TransGUI opens to a white box
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: transgui (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Praveen Kumar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-02 17:38 EDT by Louis van Dyk
Modified: 2012-12-20 10:21 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:21:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Louis van Dyk 2012-06-02 17:38:52 EDT
Description of problem:
I used to have Transgui working on Fedora 16.  I upgraded to Fedora 17. Now Transgui will not start.

Version-Release number of selected component (if applicable):
transgui-3.2-7.fc17.x86_64

How reproducible:
Start transgui

Steps to Reproduce:
1. Have running, up to date F16 x86)64 with transgui working.
2. Using preupgrade, install Fedora 17
3. Because package-cleanup --orphans highlighted PackageKit-gtk-module-0.6.22-2.fc16.i686 I removed it.
4. Sign in as me and run transgui
5. It opens to a white screen.
6. Kill it and run it from the command prompt - the result is:
[louis@fedora ~]$ /usr/bin/transgui
Gtk-Message: Failed to load module "pk-gtk-module"

(transgui:7961): Gtk-CRITICAL **: IA__gtk_widget_realize: assertion `GTK_WIDGET_ANCHORED (widget) || GTK_IS_INVISIBLE (widget)' failed

(transgui:7961): Gtk-CRITICAL **: IA__gtk_widget_realize: assertion `GTK_WIDGET_ANCHORED (widget) || GTK_IS_INVISIBLE (widget)' failed

(transgui:7961): Gtk-CRITICAL **: IA__gtk_widget_realize: assertion `GTK_WIDGET_ANCHORED (widget) || GTK_IS_INVISIBLE (widget)' failed
Killed

7. Eventually "solve" the pk-gtk-module problem with:
% wget http://dl.fedoraproject.org/pub/fedora/linux/releases/16/Fedora/x86_64/os/Packages/PackageKit-gtk-module-0.6.19-3.fc16.x86_64.rpm

% rpm2cpio PackageKit-gtk-module-0.6.19-3.fc16.x86_64.rpm | cpio -idmv

% sudo mv ./usr/lib64/gtk-2.0/modules/libpk-gtk-module.so /usr/lib64/gtk-2.0/modules/

8.  Now run transgui, but again get the white screen, although the pk-gtk-module warning is gone.
  
Actual results:
[louis@fedora ~]$ /usr/bin/transgui

(transgui:14556): Gtk-CRITICAL **: IA__gtk_widget_realize: assertion `GTK_WIDGET_ANCHORED (widget) || GTK_IS_INVISIBLE (widget)' failed

(transgui:14556): Gtk-CRITICAL **: IA__gtk_widget_realize: assertion `GTK_WIDGET_ANCHORED (widget) || GTK_IS_INVISIBLE (widget)' failed

(transgui:14556): Gtk-CRITICAL **: IA__gtk_widget_realize: assertion `GTK_WIDGET_ANCHORED (widget) || GTK_IS_INVISIBLE (widget)' failed
^C
transgui opens to a white screen.

Expected results:
transgui should open normally with a usable interface

Additional info:
Comment 1 Fedora Update System 2012-06-03 06:52:39 EDT
transgui-4.0.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/transgui-4.0.3-1.fc17
Comment 2 Fedora Update System 2012-06-03 19:28:43 EDT
Package transgui-4.0.3-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing transgui-4.0.3-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8831/transgui-4.0.3-1.fc17
then log in and leave karma (feedback).
Comment 3 Louis van Dyk 2012-06-03 20:58:52 EDT
Fantastic!!  The update fixed the problem I experienced.  

Thank you!
Comment 4 Louis van Dyk 2012-06-03 21:15:01 EDT
Running it from the command line, it still gives the following messages though:

Gtk-Message: Failed to load module "pk-gtk-module"

(transgui:8924): Gtk-CRITICAL **: IA__gtk_widget_realize: assertion `GTK_WIDGET_ANCHORED (widget) || GTK_IS_INVISIBLE (widget)' failed

(transgui:8924): Gtk-CRITICAL **: IA__gtk_widget_realize: assertion `GTK_WIDGET_ANCHORED (widget) || GTK_IS_INVISIBLE (widget)' failed

(transgui:8924): Gtk-CRITICAL **: IA__gtk_widget_realize: assertion `GTK_WIDGET_ANCHORED (widget) || GTK_IS_INVISIBLE (widget)' failed


Thanks again for the fix.
Comment 5 Fedora Update System 2012-12-20 10:21:23 EST
transgui-4.0.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.